/**
 * InterFuncForm_2 部件模型
 *
 * @export
 * @class InterFuncForm_2Model
 */
export default class InterFuncForm_2Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof InterFuncForm_2Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'ibizbookid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'ibizbookname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'ibizbookid',
        prop: 'ibizbookid',
        dataType: 'GUID',
      },
      {
        name: 'author',
        prop: 'author',
        dataType: 'TEXT',
      },
      {
        name: 'formitem',
        prop: 'borrower',
        dataType: 'TEXT',
      },
      {
        name: 'formitem1',
        prop: 'borrower',
        dataType: 'TEXT',
      },
      {
        name: 'formitem2',
        prop: 'borrower',
        dataType: 'TEXT',
      },
      {
        name: 'borrowerid',
        prop: 'borrowerid',
        dataType: 'TEXT',
      },
      {
        name: 'ibizcustomername',
      },
      {
        name: 'ibizbook',
        prop: 'ibizbookid',
        dataType: 'FONTKEY',
      },
    ]
  }

}